org.cybergarage.upnp.ssdp

## Class SSDPSearchSocket

- java.lang.Object
- - org.cybergarage.upnp.ssdp.HTTPMUSocket
  - - org.cybergarage.upnp.ssdp.SSDPSearchSocket

All Implemented Interfaces:
  Runnable

    public class SSDPSearchSocket
    extends HTTPMUSocket
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`SSDPSearchSocket()`
`SSDPSearchSocket(String bindAddr)`

### Method Summary

Methods
`void` `addSearchListener(SearchListener listener)`
`boolean` `open(String bindAddr)`
`void` `performSearchListener(SSDPPacket ssdpPacket)`
`void` `removeSearchListener(SearchListener listener)`
`void` `run()`
`void` `start()`
`void` `stop()`

### Methods inherited from class org.cybergarage.upnp.ssdp.HTTPMUSocket

`close, finalize, getLocalAddress, getMulticastAddress, getMulticastInetAddress, open, post, post, receive, send, send`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSDPSearchSocket

    public SSDPSearchSocket()

#### SSDPSearchSocket

    public SSDPSearchSocket(String bindAddr)

### Method Detail

#### open

    public boolean open(String bindAddr)

#### addSearchListener

    public void addSearchListener(SearchListener listener)

#### removeSearchListener

    public void removeSearchListener(SearchListener listener)

#### performSearchListener

    public void performSearchListener(SSDPPacket ssdpPacket)

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### start

    public void start()

#### stop

    public void stop()